<!---Set up--->
<cfset Variables.tDir = getDirectoryFromPath(GetCurrentTemplatePath())>
<cfset Variables.mainDir = "presentations">
<cfset Variables.pSubDir = Variables.mainDir & "\" & "ppt" & "\">
<cfset Variables.hSubDir = Variables.mainDir & "\" & "html" & "\">
<cfset Variables.cSubDir = Variables.mainDir & "\" & "connect" & "\">
<cfset Variables.pDir = Variables.tDir & Variables.pSubDir & "\">
<cfset Variables.hDir = Variables.tDir & Variables.hSubDir & "\">
<cfset Variables.cDir = Variables.tDir & Variables.cSubDir & "\">
<cfset Variables.pWebDir = replace(Variables.pSubDir, "\", "/", "all")>
<cfset Variables.hWebDir = replace(Variables.hSubDir, "\", "/", "all")>
<cfset Variables.cWebDir = replace(Variables.cSubDir, "\", "/", "all")>

<cfif isDefined("Form.submitButton") AND isDefined("Form.pFile")>
	<!---Handle uploaded presentations and do conversions here--->
	<!---Create directory for PPT file--->
	<cfif NOT directoryExists(Variables.pDir)>
		<cfdirectory action="create" directory="#Variables.pDir#">
	</cfif>
	
	<!---Upload file--->
	<cffile action="upload"
		fileField="Form.pFile" accept="application/vnd.ms-powerpoint"
		destination="#Variables.pDir#" nameConflict="overwrite">
	
	<!---Create directory for HTML version of PPT file--->
	<cfif NOT directoryExists(Variables.hDir & cffile.ClientFileName)>
		<cfdirectory action="create"
			directory="#Variables.hDir##cffile.ClientFileName#">
	</cfif>
	
	<!---Create HTML version of PPT file--->
	<cfpresentation format="html" overwrite="true"
		directory="#Variables.hDir##cffile.ClientFileName#">
		<cfpresentationslide
			src="#cffile.ServerDirectory#\#cffile.ClientFile#" />
	</cfpresentation>
	
	<!---Create directory for Connect version of PPT file--->
	<cfif NOT directoryExists(Variables.cDir & cffile.ClientFileName)>
		<cfdirectory action="create"
			directory="#Variables.cDir##cffile.ClientFileName#">
	</cfif>
	
	<!---Create Connect version of PPT file--->
	<cfpresentation title="#cffile.ClientFileName#"
		directory="#Variables.cDir##cffile.ClientFileName#"
		overwrite="true">
		
		<cfpresentationslide
			src="#cffile.ServerDirectory#\#cffile.ClientFile#" />
	</cfpresentation>
	
	<!---Redirect back to this page as a GET instead of a POST--->
	<cflocation url="#GetFileFromPath(CGI.Script_Name)#" addtoken="no">
</cfif>

<!---Get a list of all presentations for output--->
<cfdirectory action="list"
	directory="#Variables.hDir#"
	name="Variables.pQuery" type="dir">

<html>
<head><title>Presentastic</title></head>
<body>
<!---Display goes here--->
<h2>Welcome to Presentastic, Basic Edition!</h2>
<form name="pForm" method="post" enctype="multipart/form-data"
	action="<cfoutput>#GetFileFromPath(CGI.Script_Name)#</cfoutput>">
	Upload a presentation: <input type="file" name="pFile">
	<input type="submit" name="submitButton" value="Submit">
</form>
<table>
	<tr>
	
	<cfoutput query="Variables.pQuery">
	<cfif NOT Variables.pQuery.CurrentRow MOD 5>
		</tr>
		<tr>
	</cfif>
	<td>
	<table>
		<tr><td align="center">#Variables.pQuery.Name#</td></tr>
		<tr>
		<td align="center">
		<!---
		Note that in due to a planned change in ColdFusion 9,
		you may need to use index.htm instead of index.html below
		--->
		<a href="#Variables.hWebDir##Variables.pQuery.Name#/index.html">HTML</a> |
		<a href="#Variables.cWebDir##Variables.pQuery.Name#/index.htm">Connect</a>
		</td>
		</tr>
		<tr>
		<td align="center">
		<a href="#Variables.pWebDir##Variables.pQuery.Name#.ppt">PowerPoint</a>
		</td>
		</tr>
	</table>
	</td>
	</cfoutput>
	
	</tr>
</table>

</body>
</html>